$(function () {

    var items = document.getElementById('items');

    $(items).blur(function () {
        localStorage.setItem('itemData', this.innerHTML);
		document.getElementById('lastUpdated').innerHTML = "Last updated from: " +localStorage.getItem('location');
    });


	 if (localStorage.getItem('location')) {
        document.getElementById('lastUpdated').innerHTML = "Last updated from: " +localStorage.getItem('location');
    }

    if (localStorage.getItem('itemData')) {
        items.innerHTML = localStorage.getItem('itemData');
    }
	document.getElementById("submit").innerHTML="Submit";
	//local storage name
	if (localStorage.getItem('name')) {
        document.getElementById('name').value = localStorage.getItem('name');
		document.getElementById('name').disabled = true;
		 document.getElementById('title').innerHTML = localStorage.getItem('name')+"'s To-do List";
		 document.getElementById("submit").innerHTML="Not you? Clear the application";
    }
	if (localStorage.getItem('email')) {
        document.getElementById('email').value = localStorage.getItem('email');
		document.getElementById('email').disabled = true;
    }
	if (localStorage.getItem('url')) {
        document.getElementById('url').value = localStorage.getItem('url');
		document.getElementById('url').disabled = true;
    }
	
    var addEvent = (function () {
        if (document.addEventListener) {
            return function (el, type, fn) {
                if (el && el.nodeName || el === window) {
                    el.addEventListener(type, fn, false);
                } else if (el && el.length) {
                    for (var i = 0; i < el.length; i++) {
                        addEvent(el[i], type, fn);
                    }
                }
            };
        } else {
            return function (el, type, fn) {
                if (el && el.nodeName || el === window) {
                    el.attachEvent('on' + type, function () {
                        return fn.call(el, window.event);
                    });
                } else if (el && el.length) {
                    for (var i = 0; i < el.length; i++) {
                        addEvent(el[i], type, fn);
                    }
                }
            };
        }
    })();
    var statusElem = document.getElementById('netState');

    function online(event) {
        statusElem.className = navigator.onLine ? 'online' : 'offline';
        statusElem.innerHTML = navigator.onLine ? 'Network status: <FONT COLOR="green"> Online</font>' : ' Network status: <FONT COLOR="red">Offline</font>';
    }

    addEvent(window, 'online', online);
    addEvent(window, 'offline', online);
    online({
        type: 'ready'
    });

});
//Source: http://html5demos.com/geo
function success(position) {
    var s = document.querySelector('#status');

    if (s.className == 'success') {

        return;
    }

    s.innerHTML = "Current position: " + position.coords.latitude + " , " + position.coords.longitude;
	localStorage.setItem('location',  position.coords.latitude + " , " + position.coords.longitude);
    s.className = 'success';

    var mapcanvas = document.createElement('div');
    mapcanvas.id = 'mapcanvas';
    mapcanvas.style.height = '400px';
    mapcanvas.style.width = '600px';

    document.querySelector('article').appendChild(mapcanvas);

    var latlng = new google.maps.LatLng(position.coords.latitude, position.coords.longitude);
    var myOptions = {
        zoom: 15,
        center: latlng,
        mapTypeControl: false,
        navigationControlOptions: {
            style: google.maps.NavigationControlStyle.SMALL
        },
        mapTypeId: google.maps.MapTypeId.ROADMAP
    };
    var map = new google.maps.Map(document.getElementById("mapcanvas"), myOptions);

    var marker = new google.maps.Marker({
        position: latlng,
        map: map,
        title: "You are here! (at least within a " + position.coords.accuracy + " meter radius)"
    });
}

function error(msg) {
    var s = document.querySelector('#status');
    s.innerHTML = typeof msg == 'string' ? msg : "failed";
    s.className = 'fail';


}

function formSubmit() {
	
	if(document.getElementById('submit').innerHTML == "Submit"){
	
    document.getElementById('name').hidden = true;
    document.getElementById('email').hidden = true;
    document.getElementById('url').hidden = true;
    document.getElementById('submit').hidden = true;
    document.getElementById('thanks').hidden = false;
	
	localStorage.setItem('name', document.getElementById('name').value);
	localStorage.setItem('email', document.getElementById('email').value);
	localStorage.setItem('url', document.getElementById('url').value);
	document.getElementById('title').innerHTML = localStorage.getItem('name')+"'s To-do List";
	
	}else
	{
		
		document.getElementById('name').value = "";
    	document.getElementById('email').value = "";
    	document.getElementById('url').value = "";
		document.getElementById('name').disabled = false;
		document.getElementById('email').disabled = false;
		document.getElementById('url').disabled = false;
		document.getElementById("submit").innerHTML="Submit";
		document.getElementById('title').innerHTML = "My To-do List";
		 
		localStorage.setItem('name', '');
		localStorage.setItem('email', '');
		localStorage.setItem('url', '');
		localStorage.setItem('lastUpdated', '');		
		localStorage.setItem('itemData', "<li> Read up on HTML</li>	<li> Learn new things in HTML5</li>						<li> Try testing my knowledge by building a mobile app</li>");
		 items.innerHTML = localStorage.getItem('itemData');
		 document.getElementById('lastUpdated').innerHTML ="";
	}
	
	
}

    
